Debian Bug report logs - #645527
bind() fails for AF_UNIX sockets with EINVAL

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sun, 16 Oct 2011 00:03:01 UTC

Severity: serious

Found in version 8.2-9

Fixed in versions kfreebsd-8/8.2-10, kfreebsd-9/9.0~svn226626-1, kfreebsd-10/10.0~svn226872-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 00:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: bind() fails for AF_UNIX sockets with EINVAL
Date: Sat, 15 Oct 2011 18:59:22 -0500
Package: kfreebsd-9
Version: 9.0~svn225873
Severity: important

Hi,

Typical kfreebsd-amd64 experimental system.  When I try to use "cupt
update" after booting with kfreebsd 9, it always fails:

	E: unable to bind server socket to file '/tmp/cuptyL8GPC': Invalid argument
	E: error performing command 'update'

By contrast, kfreebsd-image-8.2-1-amd64 8.2-8+gcc45 works fine.

Trying to track this down, I tried the example from the bind(2)
manpage (from manpages-dev 3.32-0.2), with MY_SOCK_PATH set to
"/tmp/somepath" so it wouldn't require root permissions.  Same story
there --- the 8.2 kernel works fine, while kfreebsd 9 gives me

	bind: Invalid argument

For reference, the installed libc0.1 is 2.13-21.  Anyway, thought you
might like to know.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 08:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 645469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 645469@bugs.debian.org
Cc: Aurelien Jarno <aurel32@debian.org>
Subject: Re: Bug#645469: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 10:54:59 +0200
2011/10/16 Jonathan Nieder <jrnieder@gmail.com>:
>        E: unable to bind server socket to file '/tmp/cuptyL8GPC': Invalid argument
>        E: error performing command 'update'
>
> By contrast, kfreebsd-image-8.2-1-amd64 8.2-8+gcc45 works fine.
>
> Trying to track this down, I tried the example from the bind(2)
> manpage (from manpages-dev 3.32-0.2), with MY_SOCK_PATH set to
> "/tmp/somepath" so it wouldn't require root permissions.  Same story
> there --- the 8.2 kernel works fine, while kfreebsd 9 gives me
>
>        bind: Invalid argument

Upstream just added an EINVAL condition in bind(2) to fix #645377 (see
http://security.freebsd.org/patches/SA-11:05/unix.patch).  Maybe this
is a collateral effect?

Could you check with 9.0~svn225586-1 [1] (which unlike 9.0~svn225873
doesn't have the security fix), or with 8.2-9 [2] (which unlike 8.2-8
*does* have it)?

Btw 8.2-9 is urgency=high, if it's affected by #645469 please let us
know ASAP so we can put its migration on hold.

[1] http://snapshot.debian.org/package/kfreebsd-9/9.0~svn225586-1/
[2] currently preparing an upload, will be in incoming in an hour or so

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 10:18:10 GMT) Full text and rfc822 format available.

Message #15 received at 645469@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 645469@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 05:15:42 -0500
Robert Millan wrote:

> http://security.freebsd.org/patches/SA-11:05/unix.patch

Thanks for the pointer.

Here's "struct sockaddr_un" in eglibc (socket/sys/un.h, after a little
typedef-chasing):

	unsigned char sun_len;
	unsigned char sun_family;
	char sun_path[108];	/* Path name. */

And here it is in the kernel:

	unsigned char sun_len;
	unsigned char sun_family;
	char sun_path[104];	/* Path name. */

I wonder whether there would be any downside to changing that 104 in
the kernel to 108.  That is, which interfaces exposing the kernel's
"struct sockaddr_un" to userspace should we be paying attention to?

Separately from that, it would be helpful to know where the buffer
overflowed in #645377 is, since maybe it could be made bigger without
changing the layout of struct sockaddr_un.

Sleepily,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 11:10:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 11:11:32 GMT) Full text and rfc822 format available.

Message #20 received at 645469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 645469@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 13:05:36 +0200
2011/10/16 Jonathan Nieder <jrnieder@gmail.com>:
> Here's "struct sockaddr_un" in eglibc (socket/sys/un.h, after a little
> typedef-chasing):
>
>        unsigned char sun_len;
>        unsigned char sun_family;
>        char sun_path[108];     /* Path name. */

Is this 108 the actual length?  ISTR it was just a placeholder.

<sys/un.h> has a macro to determine actual length:

/* Evaluate to actual length of the `sockaddr_un' structure.  */
# define SUN_LEN(ptr) ((size_t) (((struct sockaddr_un *) 0)->sun_path)        \
                      + strlen ((ptr)->sun_path))

Does someone know what this means?

> And here it is in the kernel:
>
>        unsigned char sun_len;
>        unsigned char sun_family;
>        char sun_path[104];     /* Path name. */
>
> I wonder whether there would be any downside to changing that 104 in
> the kernel to 108.

Breaking kernel ABI for everyone not using a patched kernel.  Not a good thing.

> Separately from that, it would be helpful to know where the buffer
> overflowed in #645377 is, since maybe it could be made bigger without
> changing the layout of struct sockaddr_un.

I don't think this matters, it's an instance of sockaddr_un. If you
make sun_path[] bigger in the kernel, then instead of 160 you can
overflow it with a larger value (exploit [1] works by declaring its
own sockaddr_un, which has larger sun_path and whose content is not
null-terminated).

The kernel-side of things is now doing the right thing AFAICS.

[1] http://www.exploit-db.com/exploits/17908/

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 11:33:05 GMT) Full text and rfc822 format available.

Message #25 received at 645469@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 645469@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 06:31:58 -0500
Robert Millan wrote:
> 2011/10/16 Jonathan Nieder <jrnieder@gmail.com>:

>>        unsigned char sun_len;
>>        unsigned char sun_family;
>>        char sun_path[108];     /* Path name. */
>
> Is this 108 the actual length?  ISTR it was just a placeholder.

It's the actual size of the sun_path field of struct sockaddr_un,
if that's what you mean.

> <sys/un.h> has a macro to determine actual length:
>
> /* Evaluate to actual length of the `sockaddr_un' structure.  */
> # define SUN_LEN(ptr) ((size_t) (((struct sockaddr_un *) 0)->sun_path)        \
>                       + strlen ((ptr)->sun_path))

Ah, thanks for this clarification.  glibc's reference manual says:

	You should compute the "length" parameter for a socket address in
	the local namespace as the sum of the size of the "sun_family"
	component and the string length (/not/ the allocation size!) of
	the file name string.  This can be done using the macro "SUN_LEN":

In other words, you can call bind() with SUN_LEN(ptr) as the addrlen
argument instead of sizeof(struct sockaddr_un) to tell the kernel not to
copy so much, and to avoid depending on the magic number chosen in the
definition of sockaddr_un.

However, the POSIX documentation for bind() gives an example of an AF_UNIX
socket with

	if (bind(sfd, (struct sockaddr *) &my_addr,
		sizeof(struct sockaddr_un)) == -1)

Similarly, the example in the bind(2) manpage from the man-pages project
uses sizeof(struct sockaddr_un) as the addrlen argument.

Regarding the magic number, POSIX provides some more insight:

	The size of "sun_path" has intentionally been left undefined.
	This is because different implementations use different sizes.
	For example, 4.3 BSD uses a size of 108, and 4.4 BSD uses a
	size of 104.  Since most implementations originate from BSD
	versions, the size is typically in the range 92 to 108.

[...]
>> I wonder whether there would be any downside to changing that 104 in
>> the kernel to 108.
>
> Breaking kernel ABI for everyone not using a patched kernel.  Not a good thing.

If it's desirable, the change could be made upstream.

>> Separately from that, it would be helpful to know where the buffer
>> overflowed in #645377 is, since maybe it could be made bigger without
>> changing the layout of struct sockaddr_un.
>
> I don't think this matters, it's an instance of sockaddr_un.

If sockaddr_un is part of the ABI as an argument to some function,
it would matter.

> If you
> make sun_path[] bigger in the kernel, then instead of 160 you can
> overflow it with a larger value
[...]
> The kernel-side of things is now doing the right thing AFAICS.

It's breaking userspace apps that followed documentation to the letter
and worked before.

How about this (untested)?

diff --git i/sys/kern/uipc_syscalls.c w/sys/kern/uipc_syscalls.c
index 3b83e1c..7b4a11e 100644
--- i/sys/kern/uipc_syscalls.c
+++ w/sys/kern/uipc_syscalls.c
@@ -1703,11 +1703,18 @@ getsockaddr(namp, uaddr, len)
 	if (error) {
 		free(sa, M_SONAME);
 	} else {
+		const char *p;
+		size_t datalen;
+
 #if defined(COMPAT_OLDSOCK) && BYTE_ORDER != BIG_ENDIAN
 		if (sa->sa_family == 0 && sa->sa_len < AF_MAX)
 			sa->sa_family = sa->sa_len;
 #endif
 		sa->sa_len = len;
+		datalen = len - offsetof(struct sockaddr, sa_data[0]);
+		p = memchr(sa->sa_data, '\0', datalen);
+		if (p)
+			sa_len = p - (const char *)sa;
 		*namp = sa;
 	}
 	return (error);




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 11:45:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 11:45:20 GMT) Full text and rfc822 format available.

Message #30 received at 645469@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Robert Millan <rmh@debian.org>
Cc: 645469@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 06:40:47 -0500
Jonathan Nieder wrote:

> --- i/sys/kern/uipc_syscalls.c
> +++ w/sys/kern/uipc_syscalls.c
> @@ -1703,11 +1703,18 @@ getsockaddr(namp, uaddr, len)
[...]
>  		sa->sa_len = len;
> +		datalen = len - offsetof(struct sockaddr, sa_data[0]);
> +		p = memchr(sa->sa_data, '\0', datalen);
> +		if (p)
> +			sa_len = p - (const char *)sa;
>  		*namp = sa;

Ah, this is clearly broken since it applies to address types
other than AF_UNIX.  Guarding it with a test of sa_family would
take care of that.

More importantly, there is the question you raised of whether this
should be done in userspace by libc instead.  That would avoid
upstream having to wonder, "why should we care what happens when
someone using a BSD4.3-style bind() calls our BSD4.4-style kernel"?
So it's tempting.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 11:48:06 GMT) Full text and rfc822 format available.

Message #35 received at 645469@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 645469@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 13:44:29 +0200
2011/10/16 Jonathan Nieder <jrnieder@gmail.com>:
> More importantly, there is the question you raised of whether this
> should be done in userspace by libc instead.  That would avoid
> upstream having to wonder, "why should we care what happens when
> someone using a BSD4.3-style bind() calls our BSD4.4-style kernel"?
> So it's tempting.

I guess upstream would appreciate if we get rid of the length limit.
It sets the maximum path length for sockets to 104 chars, is that so?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 12:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 12:54:22 GMT) Full text and rfc822 format available.

Message #40 received at 645469@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Robert Millan <rmh@debian.org>, 645469@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Aurelien Jarno <aurel32@debian.org>
Subject: Re: Bug#645469: bind() fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 14:03:06 +0200
On Sun, 2011-10-16 at 13:44:29 +0200, Robert Millan wrote:
> 2011/10/16 Jonathan Nieder <jrnieder@gmail.com>:
> > More importantly, there is the question you raised of whether this
> > should be done in userspace by libc instead.  That would avoid
> > upstream having to wonder, "why should we care what happens when
> > someone using a BSD4.3-style bind() calls our BSD4.4-style kernel"?
> > So it's tempting.

Yes, I think this should be handled in glibc, and the sockaddr_un be
fixed to match what the kernel expects, the compat code would be there
to fix applications built against the bogus sockaddr_un type.

> I guess upstream would appreciate if we get rid of the length limit.
> It sets the maximum path length for sockets to 104 chars, is that so?

I'm not entirely sure what you mean with that. If you mean making
sockaddr_un variable size, well that cannot be done, as it's expected
that sockaddr_storage can hold space for any sockaddr type.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 12:57:06 GMT) Full text and rfc822 format available.

Message #45 received at 645469@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Jonathan Nieder <jrnieder@gmail.com>, 645469@bugs.debian.org
Subject: Re: Bug#645469: bind fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 15:07:20 +0200 (CEST)
> More importantly, there is the question you raised of whether this
> should be done in userspace by libc instead.  That would avoid
> upstream having to wonder, "why should we care what happens when
> someone using a BSD4.3-style bind() calls our BSD4.4-style kernel"?
> So it's tempting.


For now I propose to silently shorten too long size in kernel.
I.e instead of

  if (soun->sun_len > sizeof(struct sockaddr_un))
                return (EINVAL);

add

   if (soun->sun_len > sizeof(struct sockaddr_un))
   {
       if (soun->sun_len > (4 + sizeof(struct sockaddr_un)))
                return (EINVAL);
       else
          soun->sun_len = sizeof(struct sockaddr_un);
   }

This would allow all usual situation to be handled without problem.

Even upstream have problem with added check in linux emulation, see
http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/compat/linux/linux_socket.c.diff?r1=1.108;r2=1.109;f=h

In long term, we could clip the size in libc, but for stable security 
upload we should just silently clip the passed size.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#645469; Package kfreebsd-9. (Sun, 16 Oct 2011 13:33:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 16 Oct 2011 13:34:02 GMT) Full text and rfc822 format available.

Message #50 received at 645469@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 645469@bugs.debian.org
Subject: Re: Bug#645469: bind fails for AF_UNIX sockets with EINVAL
Date: Sun, 16 Oct 2011 15:40:09 +0200 (CEST)
[Message part 1 (text/plain, inline)]
>>> More importantly, there is the question you raised of whether this
>>> should be done in userspace by libc instead.  That would avoid
>>> upstream having to wonder, "why should we care what happens when
>>> someone using a BSD4.3-style bind() calls our BSD4.4-style kernel"?
>>> So it's tempting.
>
> Yes, I think this should be handled in glibc, and the sockaddr_un be
> fixed to match what the kernel expects, the compat code would be there
> to fix applications built against the bogus sockaddr_un type.

In fact, we already clip the passed size in our eglibc in
bind() and connect(), it might suffice in eglibc to

Index: glibc-ports/kfreebsd/sa_len.c
===================================================================
--- glibc-ports/kfreebsd/sa_len.c       (revision 3738)
+++ glibc-ports/kfreebsd/sa_len.c       (working copy)
@@ -37,7 +37,7 @@
     case AF_IPX:
       return sizeof (struct sockaddr_ipx);
     case AF_LOCAL:
-      return sizeof (struct sockaddr_un);
+      return sizeof (struct sockaddr_un) - 4;
     }
   return 0;
 }

On the other hand we cannot change size of userland
sockaddr_un without ABI change. To do it correctly it would mean
to raise soname of eglibc and perform transition involving all packages.

>> I guess upstream would appreciate if we get rid of the length limit.
>> It sets the maximum path length for sockets to 104 chars, is that so?
>
> I'm not entirely sure what you mean with that. If you mean making
> sockaddr_un variable size, well that cannot be done, as it's expected
> that sockaddr_storage can hold space for any sockaddr type.

May be the limit can be raised in upstream in kernel only,
to allow 108 instead of 104 only bytes.
The sockaddr_storage size is 128 bytes, the technical limit for sun_path 
is therefore 126 bytes.

It would help in upstream kernel to the linux emulation layer.

Petr

Severity set to 'serious' from 'important' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 16 Oct 2011 16:57:03 GMT) Full text and rfc822 format available.

Bug 645469 cloned as bug 645527. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 16 Oct 2011 16:57:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-9' to 'kfreebsd-8'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 16 Oct 2011 16:57:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 9.0~svn225873. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 16 Oct 2011 16:57:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 8.2-9. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 16 Oct 2011 16:57:06 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 17 Oct 2011 19:51:06 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Mon, 17 Oct 2011 19:51:06 GMT) Full text and rfc822 format available.

Message #65 received at 645527-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 645527-close@bugs.debian.org
Subject: Bug#645527: fixed in kfreebsd-8 8.2-10
Date: Mon, 17 Oct 2011 19:48:39 +0000
Source: kfreebsd-8
Source-Version: 8.2-10

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-10.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-10.debian.tar.gz
kfreebsd-8_8.2-10.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-10.dsc
kfreebsd-headers-8-amd64_8.2-10_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-10_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-10_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-10_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-10_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-10_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-10_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Oct 2011 20:32:16 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-10
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 645527
Changes: 
 kfreebsd-8 (8.2-10) unstable; urgency=low
 .
   [ Robert Millan ]
   * Disable -frename-registers on i386.  I enabled it in 2006 only because I
     mistakenly thought upstream had done the same.  In fact, upstream only
     enabled this flag on amd64.  See SVN revision 1302.
 .
   [ Petr Salinger ]
   * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
     after 000_unix_socket_overflow.diff. Closes: #645527.
Checksums-Sha1: 
 f1ca276f0fdf752591157c63161f59f8b31ea457 3415 kfreebsd-8_8.2-10.dsc
 38226e88861daf718e0c1f89f98b96c388429dac 98590 kfreebsd-8_8.2-10.debian.tar.gz
 f6d1e7a5c6b94a22f153d48c3ada9932d4a8660b 18515162 kfreebsd-source-8.2_8.2-10_all.deb
 6d3dbf25e069a487b16d6bb86d6fbb68f935b25c 7335956 kfreebsd-headers-8.2-1_8.2-10_kfreebsd-amd64.deb
 0c9e31441e1e7e08f33d765534fcc9ea67a8df06 13962290 kfreebsd-image-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
 c90b53e86c20488312dee37a7885880ad11c84d7 48902 kfreebsd-image-8-amd64_8.2-10_kfreebsd-amd64.deb
 046784f6daf341cc68ebb3868d31718d64f3417a 327504 kfreebsd-headers-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
 bb047399743304c5a69242eca61ce7bb303a6f2a 48906 kfreebsd-headers-8-amd64_8.2-10_kfreebsd-amd64.deb
Checksums-Sha256: 
 0933a141d629da3e0ea886d67a891c9ef37007d0c56eb61f6cddade6407aeb78 3415 kfreebsd-8_8.2-10.dsc
 88e3fbb83c82e2caf46b93793a458fccec9eb667a624e417ecd5ea28a2f476ab 98590 kfreebsd-8_8.2-10.debian.tar.gz
 7c1748abc8e515c46f4dae8578238bb9f96df2fcfd99fa47b3a0ea579b73841b 18515162 kfreebsd-source-8.2_8.2-10_all.deb
 e21b5a97d06f719d73e2eebcbade674162558edc781eadce63dab48d8bfc7057 7335956 kfreebsd-headers-8.2-1_8.2-10_kfreebsd-amd64.deb
 462d044895e94fc089ef3c5f69ad0a8967ec9ac96d662bb8f51ae0197824f1c2 13962290 kfreebsd-image-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
 b593ac3a2da8758bb4708f04c2ea878f1c5dad8942f45624c943e39967edf4b8 48902 kfreebsd-image-8-amd64_8.2-10_kfreebsd-amd64.deb
 e9b17ece4574e721e858af9911b89e29826aae2dc6d4155d7b2117973d90dee5 327504 kfreebsd-headers-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
 1d4f2e0f3112dcf131e74da439adcb5206e9eb1bf784e20ec89932d4442283bd 48906 kfreebsd-headers-8-amd64_8.2-10_kfreebsd-amd64.deb
Files: 
 546ecb1e3bffd908c99e49ce15ea1c92 3415 kernel optional kfreebsd-8_8.2-10.dsc
 aa75f9ea751703367b8ac2827e0c9a38 98590 kernel optional kfreebsd-8_8.2-10.debian.tar.gz
 2125f6cc28fc523dd3ae313811a6db49 18515162 kernel optional kfreebsd-source-8.2_8.2-10_all.deb
 41ac06f8f7173f3e03e7d32e9ce843b8 7335956 kernel optional kfreebsd-headers-8.2-1_8.2-10_kfreebsd-amd64.deb
 bd9dc16a6eae99aee00f2a60f0b5d099 13962290 kernel optional kfreebsd-image-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
 8ee7d1cf839465e41aa85bb89824fc6b 48902 kernel optional kfreebsd-image-8-amd64_8.2-10_kfreebsd-amd64.deb
 9a091c9a167bd256daf01cd1ee54d6f8 327504 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-10_kfreebsd-amd64.deb
 ff520521437ed8e56086036c5d7eddc4 48906 kernel optional kfreebsd-headers-8-amd64_8.2-10_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6cfo8ACgkQC19io6rUCv/OwgCcDYudQQ228xIzj3rynMNEWCE5
SOwAn0Up//zdMM8Kv0k4VbUfmAbksuOP
=XwOc
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 27 Oct 2011 20:51:13 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Thu, 27 Oct 2011 20:51:13 GMT) Full text and rfc822 format available.

Message #70 received at 645527-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 645527-close@bugs.debian.org
Subject: Bug#645527: fixed in kfreebsd-9 9.0~svn226626-1
Date: Thu, 27 Oct 2011 20:49:47 +0000
Source: kfreebsd-9
Source-Version: 9.0~svn226626-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-9, which is due to be installed in the Debian FTP archive:

kfreebsd-9_9.0~svn226626-1.debian.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626-1.debian.tar.gz
kfreebsd-9_9.0~svn226626-1.dsc
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626-1.dsc
kfreebsd-9_9.0~svn226626.orig.tar.gz
  to main/k/kfreebsd-9/kfreebsd-9_9.0~svn226626.orig.tar.gz
kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-9/kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
kfreebsd-source-9.0_9.0~svn226626-1_all.deb
  to main/k/kfreebsd-9/kfreebsd-source-9.0_9.0~svn226626-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Oct 2011 20:51:09 +0200
Source: kfreebsd-9
Binary: kfreebsd-source-9.0 kfreebsd-headers-9.0-0 kfreebsd-image-9.0-0-amd64 kfreebsd-image-9-amd64 kfreebsd-headers-9.0-0-amd64 kfreebsd-headers-9-amd64 kfreebsd-image-9.0-0-486 kfreebsd-image-9-486 kfreebsd-headers-9.0-0-486 kfreebsd-headers-9-486 kfreebsd-image-9.0-0-686 kfreebsd-image-9-686 kfreebsd-headers-9.0-0-686 kfreebsd-headers-9-686 kfreebsd-image-9.0-0-686-smp kfreebsd-image-9-686-smp kfreebsd-headers-9.0-0-686-smp kfreebsd-headers-9-686-smp kfreebsd-image-9.0-0-xen kfreebsd-image-9-xen kfreebsd-headers-9.0-0-xen kfreebsd-headers-9-xen kfreebsd-image-9.0-0-malta kfreebsd-image-9-malta kfreebsd-headers-9.0-0-malta kfreebsd-headers-9-malta
Architecture: source all kfreebsd-amd64
Version: 9.0~svn226626-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-9-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-686-smp - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-9.0-0 - Common architecture-specific header files for kernel of FreeBSD 9
 kfreebsd-headers-9.0-0-486 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-686-smp - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-amd64 - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-malta - header files for kernel of FreeBSD 9.0
 kfreebsd-headers-9.0-0-xen - header files for kernel of FreeBSD 9.0
 kfreebsd-image-9-486 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-686-smp - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-amd64 - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-malta - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9-xen - kernel of FreeBSD 9 image (meta-package)
 kfreebsd-image-9.0-0-486 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-686-smp - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-amd64 - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-malta - kernel of FreeBSD 9.0 image
 kfreebsd-image-9.0-0-xen - kernel of FreeBSD 9.0 image
 kfreebsd-source-9.0 - source code for kernel of FreeBSD 9.0 with Debian patches
Closes: 644417 645527
Changes: 
 kfreebsd-9 (9.0~svn226626-1) experimental; urgency=low
 .
   * New upstream snapshot.
 .
   [ Robert Millan ]
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4.
     - Turn optimization down to -O1 (901_disable_optimization_2.diff).
 .
   [ Petr Salinger ]
   * Drop 103_stat_pipe.diff, fixed upstream.
   * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
     after 000_unix_socket_overflow.diff. Closes: #645527.
Checksums-Sha1: 
 ae0cf1ff7ffb1c4c38c869265cbea868310a8c33 3504 kfreebsd-9_9.0~svn226626-1.dsc
 a9f35715a7886e9316e4b5b617d198244450dae0 32704519 kfreebsd-9_9.0~svn226626.orig.tar.gz
 c4c48cfb359432ac1d848ccb01a90aa28b2035ba 80678 kfreebsd-9_9.0~svn226626-1.debian.tar.gz
 c40c90367b6df38930038fcfde7e2e2626a37dde 21696798 kfreebsd-source-9.0_9.0~svn226626-1_all.deb
 fc651ddaf3ed719e5f8686f0b7a0929fc92645fe 9714552 kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
 46614b050cdf33fc78669da7c17e66483f050bd9 14846334 kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 103276fe6bfc1528f8f867f3f7ff229f7ec45be6 49576 kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 eced3dd8bb1a8ba4fd984dfb6b9fa52619e80d50 317466 kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 d9722bb1954bd4fdaf98e66c9dd9187cf821d826 49350 kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 0402c3da359f635f3b8afae1574631805007877c3116a6129db82c6e63ac9cbe 3504 kfreebsd-9_9.0~svn226626-1.dsc
 67ca803e179db5665a32286c4feb60d5b8363635b08f67954dcc419cd91df708 32704519 kfreebsd-9_9.0~svn226626.orig.tar.gz
 9dcb9bffa19cae051235144499c7b45c18c3775e7ec7000dbb3d0337fec9f745 80678 kfreebsd-9_9.0~svn226626-1.debian.tar.gz
 2f7db5547bb6ad477985d777768d1be809075d91db6fc4182f0db6c8d6033bf3 21696798 kfreebsd-source-9.0_9.0~svn226626-1_all.deb
 5231f5d9385d36f37b4b8d9e628cbb341069a569b86d70a22980f055d71ff713 9714552 kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
 976532c82ac03607525de334d461bfd175f0c16deb4f8a201136569051bb7192 14846334 kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 4b8074c75da157548fd346b84f4f94dd7de10f057edcc4b5fd3f5d6a90be28f3 49576 kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 94166d31a252da96a1a249bb890990dd962f758e4a2ae2a8d7559aa70b7c660b 317466 kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 0106338a58f25a5d303e95ea93d14e8898c4d97fc77e583d684c79e04acc0b66 49350 kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
Files: 
 8d6dd870284f2e2fbeb949083e917e37 3504 kernel optional kfreebsd-9_9.0~svn226626-1.dsc
 d5d60e27f33b0283eebeb8cbd0721d2f 32704519 kernel optional kfreebsd-9_9.0~svn226626.orig.tar.gz
 257c1ab4fd9faaa2663738cbbb8a219d 80678 kernel optional kfreebsd-9_9.0~svn226626-1.debian.tar.gz
 b81f69ffa7d6c88325b1912a5c315c72 21696798 kernel optional kfreebsd-source-9.0_9.0~svn226626-1_all.deb
 b3d093587fe444f665cbdcbdc2f4049f 9714552 kernel optional kfreebsd-headers-9.0-0_9.0~svn226626-1_kfreebsd-amd64.deb
 2006dcc4dd1f3e58cd14c1f3cef9cb2a 14846334 kernel optional kfreebsd-image-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 f0c6d8ff08735d5ef7544d8a9b4fc498 49576 kernel optional kfreebsd-image-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 60d5e0c3e9636039699f007b20a4e7d8 317466 kernel optional kfreebsd-headers-9.0-0-amd64_9.0~svn226626-1_kfreebsd-amd64.deb
 996167a323bbe0e1a1a0854d78af691d 49350 kernel optional kfreebsd-headers-9-amd64_9.0~svn226626-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6ptAEACgkQC19io6rUCv8kXACaA1zgiozTkEKJPHKloJpLabAg
yz0An3rNLnVx+4HZL0SZzN28oKbfa6V7
=JHVC
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 28 Oct 2011 13:21:55 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Fri, 28 Oct 2011 13:22:00 GMT) Full text and rfc822 format available.

Message #75 received at 645527-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 645527-close@bugs.debian.org
Subject: Bug#645527: fixed in kfreebsd-10 10.0~svn226872-1
Date: Fri, 28 Oct 2011 13:18:40 +0000
Source: kfreebsd-10
Source-Version: 10.0~svn226872-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-10, which is due to be installed in the Debian FTP archive:

kfreebsd-10_10.0~svn226872-1.debian.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872-1.debian.tar.gz
kfreebsd-10_10.0~svn226872-1.dsc
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872-1.dsc
kfreebsd-10_10.0~svn226872.orig.tar.gz
  to main/k/kfreebsd-10/kfreebsd-10_10.0~svn226872.orig.tar.gz
kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-10/kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
kfreebsd-source-10.0_10.0~svn226872-1_all.deb
  to main/k/kfreebsd-10/kfreebsd-source-10.0_10.0~svn226872-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 28 Oct 2011 12:40:27 +0200
Source: kfreebsd-10
Binary: kfreebsd-source-10.0 kfreebsd-headers-10.0-0 kfreebsd-image-10.0-0-amd64 kfreebsd-image-10-amd64 kfreebsd-headers-10.0-0-amd64 kfreebsd-headers-10-amd64 kfreebsd-image-10.0-0-486 kfreebsd-image-10-486 kfreebsd-headers-10.0-0-486 kfreebsd-headers-10-486 kfreebsd-image-10.0-0-686 kfreebsd-image-10-686 kfreebsd-headers-10.0-0-686 kfreebsd-headers-10-686 kfreebsd-image-10.0-0-686-smp kfreebsd-image-10-686-smp kfreebsd-headers-10.0-0-686-smp kfreebsd-headers-10-686-smp kfreebsd-image-10.0-0-xen kfreebsd-image-10-xen kfreebsd-headers-10.0-0-xen kfreebsd-headers-10-xen kfreebsd-image-10.0-0-malta kfreebsd-image-10-malta kfreebsd-headers-10.0-0-malta kfreebsd-headers-10-malta
Architecture: source all kfreebsd-amd64
Version: 10.0~svn226872-1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-10-486 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-686-smp - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-amd64 - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-malta - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10-xen - header files for kernel of FreeBSD 10 (meta-package)
 kfreebsd-headers-10.0-0 - Common architecture-specific header files for kernel of FreeBSD 1
 kfreebsd-headers-10.0-0-486 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-686-smp - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-amd64 - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-malta - header files for kernel of FreeBSD 10.0
 kfreebsd-headers-10.0-0-xen - header files for kernel of FreeBSD 10.0
 kfreebsd-image-10-486 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-686-smp - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-amd64 - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-malta - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10-xen - kernel of FreeBSD 10 image (meta-package)
 kfreebsd-image-10.0-0-486 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-686-smp - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-amd64 - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-malta - kernel of FreeBSD 10.0 image
 kfreebsd-image-10.0-0-xen - kernel of FreeBSD 10.0 image
 kfreebsd-source-10.0 - source code for kernel of FreeBSD 10.0 with Debian patches
Closes: 644417 645527
Changes: 
 kfreebsd-10 (10.0~svn226872-1) experimental; urgency=low
 .
   * New upstream snapshot.
 .
   [ Robert Millan ]
   * Remove /boot symlink kludge.  See:
     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633561#88
   * Fix panic on early boot.  (Closes: #644417)
     - Switch back to GCC 4.4.
     - Turn optimization down to -O1 (901_disable_optimization_2.diff).
   * Remove 907_cpu_class.diff (it breaks FreeBSD userland when running
     in a chroot on Debian kernel).
 .
   [ Petr Salinger ]
   * Drop 103_stat_pipe.diff, fixed upstream.
   * Add 918_unix_socket_overflow.diff, to fix up breakage in our userland
     after 000_unix_socket_overflow.diff. Closes: #645527.
Checksums-Sha1: 
 8b8d28d2e539f5d011676fdc59bbb5d570c6d44d 3572 kfreebsd-10_10.0~svn226872-1.dsc
 32deb15ead7c887edf52f6fca0474f0f20996769 32718205 kfreebsd-10_10.0~svn226872.orig.tar.gz
 8af227fe544105bbfd52de72db3e7180f6fb8b1d 79682 kfreebsd-10_10.0~svn226872-1.debian.tar.gz
 b75ebe419822dd743079c86b9298e84aeacc63be 21610924 kfreebsd-source-10.0_10.0~svn226872-1_all.deb
 1b277a8f1746cbfa235c62d0ae252d4cec418f5c 9724256 kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
 dbfd0ae4ef50f1287b7997fb0d4098e7ded34a07 15336570 kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 2402e0515f75ceb5569aefc3924e555f3e3a9696 49754 kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 71357c3c694990f6496c48c8551b2910267d91c9 317210 kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 6e1cd3f14afc890776d7137a53c2e9602ec8729c 49492 kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 b2fa259991a129b54e7054264b7b11da2560e72ea142045980fcb0e9e502f096 3572 kfreebsd-10_10.0~svn226872-1.dsc
 77452cd5fd03e8a68939b0da1d32ecd8a89170b9fde82837ee9779465cfa4186 32718205 kfreebsd-10_10.0~svn226872.orig.tar.gz
 91200865f81f50427630c429d1007e8b05a52dabe93a0674faa3f155e5297768 79682 kfreebsd-10_10.0~svn226872-1.debian.tar.gz
 22f2bbf4fa0cbee695ee423bf924a49e4553c0cb80c8403f8b34e396810bb4a6 21610924 kfreebsd-source-10.0_10.0~svn226872-1_all.deb
 099bca2a99b57d780b376517d0d16bfd741e57f0229e7ec6e05c3ab06e6e5d6f 9724256 kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
 468efe7de8a07fbe5e9bf3d672fe895c0aefd19d01733da1f7b059c8f3ccdb1e 15336570 kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 8e9b4d89212dcac2e36c304575f869bb89c4b7e5e2176d2b2ee5ede5231f313f 49754 kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 54415b8cefbe19db86512188727efd0589edb8e09268e80837f9c3bdae2a6b68 317210 kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 53e58adc87e61fd3135c78ba6c6dc8bcbb30c90fd7378150c3ce27d17b009015 49492 kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
Files: 
 26a65131f56ea8741723294ce7d004d3 3572 kernel optional kfreebsd-10_10.0~svn226872-1.dsc
 aa040666764de09dc91df50b473775ec 32718205 kernel optional kfreebsd-10_10.0~svn226872.orig.tar.gz
 1db2f5cbfebad2dfae1fea01e3ebf45d 79682 kernel optional kfreebsd-10_10.0~svn226872-1.debian.tar.gz
 a36ccd17e7706cacfcc22d165647bcc6 21610924 kernel optional kfreebsd-source-10.0_10.0~svn226872-1_all.deb
 a4c8c548d1d18a2f4cfcd7df4a8b92fe 9724256 kernel optional kfreebsd-headers-10.0-0_10.0~svn226872-1_kfreebsd-amd64.deb
 b1b596dcd5c814db4dde71a86253a65f 15336570 kernel optional kfreebsd-image-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 e2032fc50bd77db5b69420f23a7b9d73 49754 kernel optional kfreebsd-image-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 377d5f09b8be01cf482964bdf63d8e18 317210 kernel optional kfreebsd-headers-10.0-0-amd64_10.0~svn226872-1_kfreebsd-amd64.deb
 ba694cb8df52057124330730e5dc3efe 49492 kernel optional kfreebsd-headers-10-amd64_10.0~svn226872-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6qnZcACgkQC19io6rUCv8iZACgiGkbqRYpXtIaTWnuygrQIw3W
2ykAnRsS+mFqSZSgEV+4vabWuQpnT4cD
=lJ60
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Nov 2011 07:33:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:44:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.